Name:           perl-LockFile-Simple
Version:        0.207
Release:        2%{?dist}
Summary:        Simple file locking scheme
License:        GPLv2+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/LockFile-Simple/
Source0:        http://www.cpan.org/modules/by-module/LockFile/LockFile-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
This simple locking scheme is not based on any file locking system calls
such as flock() or lockf() but rather relies on basic file system
primitives and properties, such as the atomicity of the write() system
call. It is not meant to be exempt from all race conditions, especially
over NFS.

%prep
%setup -q -n LockFile-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.207-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 09 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.207-1
- Upstream update.
- Remove license_of_LockFile_Simple.txt (cf. README).

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.206-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.206-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.206-1
- fix license tag
- bump to 0.206
- include license attribution email

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.5-2
- Rebuild for new perl

* Tue Jan 16 2007 Andreas Thienemann <andreas@bawue.net> 0.2.5-1
- Initial spec for FE
- Specfile autogenerated by cpanspec 1.69.1.
